Error
A valid request URL is required to generate request examples{
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"role_id": 123,
"role": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_system_role": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"teams": [
{
"id": "<string>",
"name": "<string>",
"business_unit_id": "<string>",
"business_unit_name": "<string>"
}
],
"access_profile": {
"id": 123,
"user_id": "<string>",
"parent_profile_id": 123,
"name": "<string>",
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"total": 123,
"page": 123,
"limit": 123,
"total_pages": 123,
"has_more": true
}Users
List users
Returns a paginated list of users with optional search.
GET
/
api
/
users
Error
A valid request URL is required to generate request examples{
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"role_id": 123,
"role": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_system_role": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"teams": [
{
"id": "<string>",
"name": "<string>",
"business_unit_id": "<string>",
"business_unit_name": "<string>"
}
],
"access_profile": {
"id": 123,
"user_id": "<string>",
"parent_profile_id": 123,
"name": "<string>",
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"total": 123,
"page": 123,
"limit": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Query Parameters
Page number (1-based)
Required range:
x >= 1Number of users per page (max 100)
Required range:
1 <= x <= 100Search by name or email
Was this page helpful?
⌘I

